Loading...
Searching...
No Matches
casacore::ArrayUtil_global_functions_reorderArrayHelper Struct Reference
casa package (libcasa_casa) » Arrays_module » Arrays_module_internal_classes

Helper function for function reorderArray. More...

`#include <ArrayUtil.h>`

## Public Member Functions

size_t | reorderArrayHelper (IPosition &newShape, IPosition &incr, const IPosition &shape, const IPosition &newAxisOrder)

## Detailed Description

Helper function for function reorderArray.

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tArrayUtil2

### Synopsis

This is a specialized helper function for function reorderArray. It determines the shape of the resulting array and calculates the result increments when iterating linearly through the source array. It returns the number of the first non-reordered axes.

### Motivation

Split off common non-templated code.

Definition at line 293 of file ArrayUtil.h.

## Member Function Documentation

## reorderArrayHelper()

size_t casacore::ArrayUtil_global_functions_reorderArrayHelper::reorderArrayHelper | ( | IPosition & | newShape,
|  | IPosition & | incr,
|  | const IPosition & | shape,
|  | const IPosition & | newAxisOrder )

References casacore::shape().

The documentation for this struct was generated from the following file:

- casa/Arrays/ArrayUtil.h